View Issue Details

IDProjectCategoryView StatusLast Update
0005505SUMo ServerBugpublic2019-05-27 22:34
Reporterjohnldove Assigned ToKyle_Katarn  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version5.9.1 
Summary0005505: Showing Firefox Beta 68 as the update on one PC and not on another
DescriptionAttached are screenshots from my Windows 10 server (just a PC acting as a home server)
It shows that there is an update 68 for firefox.
The settings page is shown, showing that Allow Beta version is NOT checked.
For comparison, I show another PC which does NOT show 68 due, and the settings page for that PC
TagsNo tags attached.

Relationships

related to 0005506 feedbackKyle_Katarn SUMo Error in company name consolidation of Mozilla and TomTom 

Activities

johnldove

2019-05-23 18:35

reporter  

johnldove

2019-05-23 18:44

reporter   ~0003384

Added SUMo log file from PC showing FFx 68 available
190523-SUMo.log (486,850 bytes)

wolf

2019-05-23 19:25

reporter   ~0003385

SUMo does report consistently on both of your devices as shown by your screenshots and your log file:

Your server is running Windows 10 in 64 bit edition with Mozilla Firefox 67 in 32 bit edition. Your other device is running Mozilla Firefox 67 in 64 bit edition.

SUMo server reports that Mozilla Firefox 68 in 32 bit edition is used already by 5% of SUMo users running Mozilla Firefox in 32 bit edition and hence concluding it as being current stable version. SUMo server reports that Mozilla Firefox 68 in 64 bit edition is used by just 2% of SUMo users running Mozilla Firefox in 64 bit edition and hence considering it in beta state.

Lookup on Mozilla web site shows that Mozilla Firefox has been release in version 67 on 21 May 2019. It further reports that a beta release of version 68 is available and an alpha version 69 all downloadable.

So the error is on SUMo server for considering the 32 bit edition too early as released although remaining quite some time (weeks) in beta state. What I cannot look up is how many of those SUMo users with version 68 in 32 bit edition installed have SUMo beta version reporting enabled and if SUMo protocol transmits this switch for calculating correctly stable release and beta release.

What I expect is that all those SUMo users with beta version reporting enabled don't affect SUMo server determination of stable release, only SUMo server determination of beta release. So do those 5% SUMo users having installed version 68 in 32 bit edition all have beta version reporting disabled?
Or does SUMo protocol not yet transmit this beta switch so that SUMo server may not take into account this information for stable release determination?

Issue History

Date Modified Username Field Change
2019-05-23 18:35 johnldove New Issue
2019-05-23 18:35 johnldove File Added: Update List on PC SHOWING FFx 68 as due.png
2019-05-23 18:35 johnldove File Added: Setting on PC SHOWING FFx 68 as due.png
2019-05-23 18:35 johnldove File Added: Update List on PC not showing FFx 68 as due.png
2019-05-23 18:35 johnldove File Added: Setting on PC not showing FFx 68 as due.png
2019-05-23 18:44 johnldove File Added: 190523-SUMo.log
2019-05-23 18:44 johnldove Note Added: 0003384
2019-05-23 19:25 wolf Note Added: 0003385
2019-05-23 21:00 wolf Issue cloned: 0005506
2019-05-23 21:00 wolf Relationship added related to 0005506
2019-05-27 22:34 Kyle_Katarn Project SUMo => SUMo Server
2019-05-27 22:34 Kyle_Katarn Assigned To => Kyle_Katarn
2019-05-27 22:34 Kyle_Katarn Status new => closed
2019-05-27 22:34 Kyle_Katarn Resolution open => fixed